import express from "express";
import PermissionHelper from "../../helpers/permissionHelper";

import award from "./award";
import communicationType from "./communicationType";
import executivePosition from "./executivePosition";
import membershipStatus from "./membershipStatus";
import qualification from "./qualification";

import member from "./member";

import role from "./role";
import user from "./user";

import database from "./database";

var router = express.Router({ mergeParams: true });

router.use("/award", PermissionHelper.passCheckMiddleware("read", "settings", "award"), award);
router.use(
  "/communicationtype",
  PermissionHelper.passCheckMiddleware("read", "settings", "communication"),
  communicationType
);
router.use(
  "/executiveposition",
  PermissionHelper.passCheckMiddleware("read", "settings", "executive_position"),
  executivePosition
);
router.use(
  "/membershipstatus",
  PermissionHelper.passCheckMiddleware("read", "settings", "membership_status"),
  membershipStatus
);
router.use("/qualification", PermissionHelper.passCheckMiddleware("read", "settings", "qualification"), qualification);

router.use("/member", PermissionHelper.passCheckMiddleware("read", "club", "member"), member);

router.use("/role", PermissionHelper.passCheckMiddleware("read", "user", "role"), role);
router.use("/user", PermissionHelper.passCheckMiddleware("read", "user", "user"), user);

router.use("/database", PermissionHelper.passCheckMiddleware("read", "settings", "database"), database);

export default router;
